# $Revision: 1.66 $, $Date: 2011/10/12 18:05:37 $
Summary:	Terminal emulator for X
Summary(pl.UTF-8):	Emulator terminala dla X
Name:		xterm
Version:	276
Release:	1
License:	MIT
Group:		X11/Applications
Source0:	ftp://invisible-island.net/xterm/%{name}-%{version}.tgz
# Source0-md5:	50ca8ee40e8a0992019f8f35042c9abb
Source1:	XTerm.ad-pl
Source2:	%{name}.desktop
Source3:	%{name}.png
Source4:	%{name}.1x.ko
Patch0:		%{name}-tinfo.patch
URL:		http://invisible-island.net/xterm/
BuildRequires:	libutempter-devel
BuildRequires:	ncurses-devel
BuildRequires:	pkgconfig
BuildRequires:	xorg-lib-libXaw-devel
BuildRequires:	xorg-lib-libXft-devel
Requires:	xorg-lib-libXt >= 1.0.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The xterm program is a terminal emulator for the X Window System. It
provides DEC VT102/VT220 (VTxxx) and Tektronix 4014 compatible
terminals for programs that cannot use the window system directly.

This version implements ISO/ANSI colors using the "new" color model
(i.e., background color erase). It also implements most of the control
sequences for VT220.

%description -l pl.UTF-8
Program xterm to emulator terminala dla X Window System. Udostępnia
terminale zgodne z DEC VT102/VT220 (VTxxx) oraz Tektronix 4014 dla
programów nie potrafiących używać bezpośrednio systemu okien.

Ta wersja implementuje kolory ISO/ANSI przy użyciu "nowego" modelu
kolorów (tzn. usuwania kolorem tła). Implementuje także większość
sekwencji sterujących VT220.

%prep
%setup -q
%patch0 -p1

%build
# don't run autoconf, modified version of autoconf is required
CPPFLAGS="-I/usr/include/ncurses %{rpmcppflags}"
%configure \
	--enable-256-color \
	--enable-wide-chars \
	--with-app-defaults=%{_datadir}/X11/app-defaults \
	--with-utempter

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

echo '.so xterm.1' > $RPM_BUILD_ROOT%{_mandir}/man1/uxterm.1

install -D %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/X11/pl/app-defaults/XTerm
install -D %{SOURCE2} $RPM_BUILD_ROOT%{_desktopdir}/xterm.desktop
install -D %{SOURCE3} $RPM_BUILD_ROOT%{_pixmapsdir}/xterm.png
install -D %{SOURCE4} $RPM_BUILD_ROOT%{_mandir}/ko/man1/xterm.1
echo '.so xterm.1' > $RPM_BUILD_ROOT%{_mandir}/ko/man1/uxterm.1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README README.i18n xterm.log.html
%attr(755,root,root) %{_bindir}/resize
%attr(755,root,root) %{_bindir}/xterm
%attr(755,root,root) %{_bindir}/uxterm
%attr(755,root,root) %{_bindir}/koi8rxterm
%{_datadir}/X11/app-defaults/UXTerm
%{_datadir}/X11/app-defaults/UXTerm-color
%{_datadir}/X11/app-defaults/XTerm
%{_datadir}/X11/app-defaults/XTerm-color
%{_datadir}/X11/app-defaults/KOI8RXTerm
%{_datadir}/X11/app-defaults/KOI8RXTerm-color
%lang(pl) %{_datadir}/X11/pl/app-defaults/XTerm
%{_desktopdir}/xterm.desktop
%{_pixmapsdir}/xterm.png
%{_mandir}/man1/resize.1*
%{_mandir}/man1/xterm.1*
%{_mandir}/man1/uxterm.1*
%{_mandir}/man1/koi8rxterm.1*
%lang(ko) %{_mandir}/ko/man1/xterm.1*
%lang(ko) %{_mandir}/ko/man1/uxterm.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xterm.spec,v $
Revision 1.66  2011/10/12 18:05:37  qboosh
- updated to 276

Revision 1.65  2011/09/12 17:02:58  qboosh
- updated to 275

Revision 1.64  2011/09/11 19:22:29  qboosh
- updated to 274
- updated tinfo patch

Revision 1.63  2011/08/31 18:28:13  arekm
- release 2

Revision 1.62  2011/07/24 12:17:08  qboosh
- updated to 271

Revision 1.61  2011/04/27 21:48:06  marti
- 270

Revision 1.60  2011/02/21 11:43:52  lisu
- 269

Revision 1.59  2011/02/11 09:15:17  lisu
- 268

Revision 1.58  2010/11/22 09:53:56  lisu
- 267

Revision 1.57  2010/10/26 08:09:31  lisu
- 266

Revision 1.56  2010/10/22 11:14:39  lisu
- 265

Revision 1.55  2010/10/18 09:25:27  caleb
- Up to 264

Revision 1.54  2010/08/31 11:09:53  lisu
- up to 262

Revision 1.53  2010/07/10 18:15:00  qboosh
- updated to 261
- added tinfo patch

Revision 1.52  2010/03/11 08:04:05  arekm
- include rpmcppflags

Revision 1.51  2009/12/11 06:52:59  amateja
- updated to 253

Revision 1.50  2009/12/09 12:24:59  sparky
- BR: pkgconfig

Revision 1.49  2009/12/09 07:56:32  amateja
- updated to 252

Revision 1.48  2009/11/12 08:45:12  lisu
- 251

Revision 1.47  2009/10/14 07:04:47  amateja
- updated to 250

Revision 1.46  2009/10/02 07:14:08  arekm
- up to 249

Revision 1.45  2009/09/14 06:26:57  amateja
- updated to 248

Revision 1.44  2009/08/31 13:35:03  amateja
- updated to 247

Revision 1.43  2009/08/17 05:35:36  arekm
- up to 246

Revision 1.42  2009/08/13 06:18:34  arekm
- up to 245

Revision 1.41  2009/08/10 07:18:46  arekm
- up to 244

Revision 1.40  2009/03/29 08:41:14  arekm
- up to 243

Revision 1.39  2009/02/16 21:11:23  arekm
- up to 242

Revision 1.38  2009/01/27 07:24:18  arekm
- up to 241

Revision 1.37  2009/01/10 18:00:47  arekm
- up to 239

Revision 1.36  2009/01/08 16:52:55  qboosh
- CVE reference

Revision 1.35  2009/01/06 13:56:16  shadzik
- up to 238
- resolvs security issues [CVE-2008-2383]

Revision 1.34  2008/12/07 13:13:39  arekm
- up to 237

Revision 1.33  2008/11/07 20:52:08  arekm
- release 2

Revision 1.32  2008/07/28 05:27:34  arekm
- up to 236

Revision 1.31  2008-04-21 05:58:34  arekm
- up to 235

Revision 1.30  2008-03-03 07:15:14  arekm
- up to 234

Revision 1.29  2008-02-25 08:13:46  arekm
- up to 233

Revision 1.28  2008-01-31 07:25:40  arekm
- up to 232

Revision 1.27  2008-01-06 11:36:46  arekm
- up to 231

Revision 1.26  2008-01-04 11:51:11  arekm
- up to 230

Revision 1.25  2007/08/13 06:18:19  arekm
- up to 229

Revision 1.24  2007/07/23 06:14:09  arekm
- up to 228

Revision 1.23  2007/06/30 20:01:00  arekm
- up to 227

Revision 1.22  2007/06/26 18:42:19  qboosh
- updated to 226

Revision 1.21  2007/04/03 18:58:35  qboosh
- updated to 225

Revision 1.20  2007/02/12 22:09:25  glen
- tabs in preamble

Revision 1.19  2007/02/12 16:39:47  arekm
- up to 224

Revision 1.18  2007/02/12 01:06:41  baggins
- converted to UTF-8

Revision 1.17  2006/12/01 10:16:20  arekm
- up to 223

Revision 1.16  2006/10/26 18:54:03  qboosh
- updated to 222

Revision 1.15  2006/10/14 18:57:40  qboosh
- updated to 221
- added Korean xterm(1) from old XFree86/X11 package

Revision 1.14  2006/09/12 11:01:05  qboosh
- updated to 220

Revision 1.13  2006/09/08 15:28:14  baggins
- pl/XTerm is back but contains only translations (no fancy configurations)

Revision 1.12  2006/08/24 19:05:23  qboosh
- updated to 217

Revision 1.11  2006/08/16 19:29:57  grzegol
- fixed build with --as-needed
- really removed %%{_datadir}/X11/pl/app-defaults/XTerm

Revision 1.10  2006/08/16 17:20:38  baggins
- moved polish resources to doc, this crap is more pain than gain.
  Latest finding is non-working unicode locale with these resources

Revision 1.9  2006/07/19 07:28:07  qboosh
- updated to 215

Revision 1.8  2006/06/02 12:05:59  qboosh
- updated to 213

Revision 1.7  2006/03/23 07:58:52  wiget
- updated to 211

Revision 1.6  2006/03/05 18:36:31  qboosh
- updated to 209
- moved pl/app-defaults dirs to libXt

Revision 1.5  2006/02/19 20:42:22  wolf
- move polish app-defaults to correct location, rel 2

Revision 1.4  2006/02/03 15:03:11  qboosh
- merged XTerm.ad-pl, xterm.desktop, xterm.png from monolith

Revision 1.3  2006/01/16 10:51:47  qboosh
- updated to 208, updated app-defaults location for libXt 1.0.0

Revision 1.2  2005/11/19 22:38:18  qboosh
- updated to 207

Revision 1.1  2005/10/22 22:54:23  qboosh
- new (separate, meant for modular xorg)
